Skip to main content
GET
/
api
/
v1
/
network
/
registered-nodes
Get registered nodes
curl --request GET \
  --url https://mainnet.mirrornode.hedera.com/api/v1/network/registered-nodes
import requests

url = "https://mainnet.mirrornode.hedera.com/api/v1/network/registered-nodes"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://mainnet.mirrornode.hedera.com/api/v1/network/registered-nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "registered_nodes": [
    {
      "admin_key": {
        "_type": "ProtobufEncoded",
        "key": "421050820e1485acdd59726088e0e4a2130ebbbb70009f640ad95c78dd5a7b38"
      },
      "created_timestamp": "1586567700.453054001",
      "description": "alpha",
      "registered_node_id": 1,
      "service_endpoints": [
        {
          "ip_address_v4": "128.0.0.6",
          "port": 50216
        }
      ],
      "timestamp": {
        "from": "187654.000123457",
        "to": null
      }
    }
  ],
  "links": {
    "next": null
  }
}
{
"_status": {
"messages": [
{
"message": "Invalid parameter: account.id"
},
{
"message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
}
]
}
}

Query Parameters

limit
integer<int32>
default:25

The maximum number of items to return

Required range: 1 <= x <= 100
order
enum<string>
default:asc

The order in which items are listed

Available options:
asc,
desc
registerednode.id
string

The ID of the registered node

Pattern: ^((eq|gt|gte|lt|lte):)?\d{1,19}$
type
enum<string>

Registered node type.

Available options:
BLOCK_NODE,
GENERAL_SERVICE,
MIRROR_NODE,
RPC_RELAY
Example:

"BLOCK_NODE"

Response

OK

registered_nodes
object[]
required